Bug 1330054 - "Default" server url is not configuring the port and prefix details
Summary: "Default" server url is not configuring the port and prefix details
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: Rehana
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 10:59 UTC by Rehana
Modified: 2016-11-03 20:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:28:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
default (247.10 KB, image/png)
2016-04-25 10:59 UTC, Rehana
no flags Details
Port and prefix before clicking on default button (268.00 KB, image/png)
2016-06-23 08:00 UTC, Shwetha Kallesh
no flags Details
Port and prefix after clicking on default button (269.90 KB, image/png)
2016-06-23 08:02 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description Rehana 2016-04-25 10:59:19 UTC
Description of problem:
Observed that "default" button on the subscription-manager-gui doesnot reset the prot and prefix details . This appears to be working on the rhel68 subscription manager subscription-manager: 1.16.8-8.el6
python-rhsm: 1.16.6-1

Version-Release number of selected component (if applicable):
subscription-manager: 1.17.5-1.git.0.9f499d8.el7
python-rhsm: 1.17.1-1.git.1.323232f.el7


How reproducible:
3/3

Steps to Reproduce:
1.configure server details to a different value
 
ex: subscription-manager config --server.hostname=test-candlepin-server.usersys.redhat.com --server.prefix=/candlepin --server.port=8443

2.now launch subscription-manage-gui --> Register button
3.click on default button

Actual results:
Observed that "subscription.rhsm.redhat.com" was displayed on the url , however on click "Next" , unable to reach server message displayed (PFA) , in the error message the port and prefix details was the details set at step 1 

Expected results:
should reset the hostname, port , prefix details 

Additional info:
log details 
--------------
2016-04-25 16:22:08,776 [INFO] subscription-manager-gui:14552 @connection.py:815 - Connection built: host=test-candlepin-server.usersys.redhat.com port=8443 handler=/candlepin auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-04-25 16:22:09,256 [INFO] rhsmd:14593 @rhsmd:235 - rhsmd started
2016-04-25 16:22:22,981 [INFO] subscription-manager-gui:14552 @connection.py:815 - Connection built: host=subscription.rhsm.redhat.com port=8443 handler=/candlepin auth=none
2016-04-25 16:22:23,217 [ERROR] subscription-manager-gui:14552 @utils.py:159 - [Errno 111] Connection refused
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/utils.py", line 144, in is_valid_server_info
    conn.ping()
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 876, in ping
    return self.conn.request_get("/status/")
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 681, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 571, in _request
    conn.request(request_type, handler, body=body, headers=headers)
  File "/usr/lib64/python2.7/httplib.py", line 979, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.7/httplib.py", line 1013, in _send_request
    self.endheaders(body)
  File "/usr/lib64/python2.7/httplib.py", line 975, in endheaders
    self._send_output(message_body)
  File "/usr/lib64/python2.7/httplib.py", line 835, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.7/httplib.py", line 797, in send
    self.connect()
  File "/usr/lib64/python2.7/site-packages/M2Crypto/httpslib.py", line 73, in connect
    raise error
error: [Errno 111] Connection refused
2016-04-25 16:22:23,219 [ERROR] subscription-manager-gui:14552 @registergui.py:780 - registration error: Unable to reach the server at subscription.rhsm.redhat.com:8443/candlepin

Comment 1 Rehana 2016-04-25 10:59:52 UTC
Created attachment 1150404 [details]
default

Comment 2 Rehana 2016-04-25 11:09:22 UTC
this appears to be working on rhel72. with subscription-manager 
subscription-manager: 1.15.9-15.el7
python-rhsm: 1.15.4-5.el7

log details:
---------------
 exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2016-04-25 16:32:03,810 [INFO] subscription-manager-gui:13284 @connection.py:778 - Connection built: host=redakkan-candlepin-server.usersys.redhat.com port=8443 handler=/candlepin auth=none
2016-04-25 16:32:03,811 [DEBUG] subscription-manager-gui:13284 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
2016-04-25 16:32:03,812 [DEBUG] subscription-manager-gui:13284 @connection.py:523 - Making request: GET /candlepin/status/
2016-04-25 16:32:03,818 [ERROR] subscription-manager-gui:13284 @registergui.py:750 - registration error: CA certificate for subscription service has not been installed.
2016-04-25 16:32:20,229 [INFO] subscription-manager-gui:13284 @connection.py:778 - Connection built: host=subscription.rhn.redhat.com port=443 handler=/subscription auth=none
2016-04-25 16:32:20,230 [DEBUG] subscription-manager-gui:13284 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
2016-04-25 16:32:20,230 [DEBUG] subscription-manager-gui:13284 @connection.py:523 - Making request: GET /subscription/status/
2016-04-25 16:32:21,648 [DEBUG] subscription-manager-gui:13284 @connection.py:555 - Response: status=200, requestUuid=9677d4bc-56c6-43c1-a9f7-40276fe7050d
2016-04-25 16:32:21,650 [DEBUG] subscription-manager-gui:13284 @connection.py:266 - ContectConnection
2016-04-25 16:32:21,650 [DEBUG] subscription-manager-gui:13284 @connection.py:266 - ContectConnection
2016-04-25 16:32:21,651 [DEBUG] subscription-manager-gui:13284 @connection.py:266 - ContectConnection


this is a regression issue

Comment 7 Shwetha Kallesh 2016-06-23 08:00:29 UTC
Created attachment 1171326 [details]
Port and prefix before clicking on default button

Comment 8 Shwetha Kallesh 2016-06-23 08:02:28 UTC
Created attachment 1171327 [details]
Port and prefix after clicking on default button

Moving bug to verified as default serverurl button now configures the prefix and port details and system is successfully registered

[root@shwetha-workstation ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.11-1
subscription management rules: 5.15
subscription-manager: 1.17.8-1.el7
python-rhsm: 1.17.4-1.el7
subscription-manager-gui-1.17.8-1.el7.x86_64

Comment 10 errata-xmlrpc 2016-11-03 20:28:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.